Sign inGet started

Delete a brand

DELETE
/workspaces/{workspaceId}/tcr-brands/{brandId}
Detach brand from workspace. A brand can be deleted if it doesn't have any active campaigns.
Treść odpowiedzi
id
string
The ID of the number.
tcrBrandId
string
The Campaign Registry brand ID.
organizationId
string
createdAt
string
Timestamp (UTC) when the brand was created.
updatedAt
string
Timestamp (UTC) when the brand was last updated.
status
string
Brand status
Possible values: FAILED, PENDING, REJECTED, APPROVED, DELETED, DRAFT
authPlusStatus
string
Brand Auth+ status
Possible values: NOT_APPLICABLE, NEEDS_CHARGE, NEEDS_TRIGGER, DONE
entityType
string
wymagane
Legal entity type. It can't be updated when the brand is approved.
Possible values: PRIVATE_PROFIT, PUBLIC_PROFIT, NON_PROFIT, GOVERNMENT, ``
firstName
string
First or given name. Applicable to entity type.
lastName
string
Last or Surname. Applicable to entity type.
displayName
string
wymagane
Display or marketing name your brand.
companyName
string
wymagane
Legal company name. This should match the legal company name used to register your EIN/Tax ID.
ein
string
wymagane
Government assigned corporate tax ID. EIN is 9-digits in the U.S.
einIssuingCountry
string
wymagane
The 2 letter ISO country of registration submitted with your EIN / Tax ID registration.
phone
string
wymagane
Valid phone number in e.164 international format.
street
string
wymagane
Street number and name.
city
string
wymagane
City name
state
string
wymagane
State. Must be a 2 letter state code for US states.
postalCode
string
wymagane
Postal code. Must be a 5 digit zip code for the United States.
country
string
wymagane
ISO 2 character country code.
email
string
wymagane
Valid email address of brand support contact.
stockSymbol
string
Stock symbol.
stockExchange
string
Stock exchange. Required for entityType PUBLIC.
Possible values: NONE, NASDAQ, NYSE, AMEX, AMX, ASX, B3, BME, BSE, FRA, ICEX, JPX, JSE, KRX, LON, NSE, OMX, SEHK, SGX, SSE, STO, SWX, SZSE, TSX, TWSE, VSE, OTHER, ``
website
string
wymagane
Brand website URL.
vertical
string
Vertical or industry segment of the brand.
altBusinessId
string
Alternate business identifier.
altBusinessIdType
string
Alternate business identifier type. Required if altBusinessId is provided.
Possible values: NONE, DUNS, GIIN, LEI, ``
businessContactEmail
string
Business contact email.
businessContactEmailVerifiedDate
string
Timestamp (UTC) when the brand businessContactEmail was verified.
rejection
object
Rejection details
Pokaż atrybuty podrzędne
rejection.description
string
wymagane
Rejection description
rejection.code
string
Rejection code
Przykład kodu
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/tcr-brands/{brandId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'